import datetime
import time
from typing import Optional, Dict


class QueryContext:
    def __init__(self, languages: Optional[Dict[str, float]] = None, query_language: Optional[str] = None):
        self.dois = []
        self.index_aliases = []
        self.languages = languages
        self.query_language = query_language
        self.order_by = None
        self.query_point_of_time = time.time()
        self.explain = False

    def set_query_point_of_time(self, year):
        self.query_point_of_time = time.mktime(datetime.date(year, 7, 1).timetuple())
